Bug 84739 - 82845G/GL corrupted video output
Summary: 82845G/GL corrupted video output
Status: RESOLVED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-07 09:35 UTC by Germano Massullo
Modified: 2018-06-30 09:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot (100.01 KB, image/jpeg)
2014-10-07 09:35 UTC, Germano Massullo
no flags Details
xorg.0.log (12.18 KB, application/x-7z-compressed)
2014-10-07 09:35 UTC, Germano Massullo
no flags Details
dmesg with drm.debug=6 kernel flag (62.41 KB, text/plain)
2014-11-02 17:01 UTC, Germano Massullo
no flags Details
Xorg.0.log with drm.debug=6 kernel flag (23.34 KB, text/plain)
2014-11-02 17:01 UTC, Germano Massullo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Germano Massullo 2014-10-07 09:35:18 UTC
Created attachment 107460 [details]
Screenshot

Description of problem:
I tried to install Fedora 20 LXDE spin, but after livecd boot I got an unexpected behaviour as represented in the screenshot.
I tried to boot the livecd in basic video mode and I managed to install Fedora, even using a basic resoluzione of 640x480.
When I booted the just installed Fedora, I got again a similar behaviour like in the mentioned screenshot.

Additional info:
[*] 00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
[*]The package contains two xorg.0.log log files: one for the livecd session, one for the installed Fedora session
[*]Fedora bugreport https://bugzilla.redhat.com/show_bug.cgi?id=1149242
Comment 1 Germano Massullo 2014-10-07 09:35:41 UTC
Created attachment 107461 [details]
xorg.0.log
Comment 2 Chris Wilson 2014-10-07 09:44:45 UTC
Hmm. The postinstall logs contain nomodeset on the kernel commandline, disabling the intel driver (both ddx and kernel). Do you see the same behaviour if you then remove that and replace it with drm.debug=6 from the grub entry when booting? Could you attach the Xorg.0.log and dmesg after doing so?
Comment 3 Germano Massullo 2014-11-02 17:01:03 UTC
Created attachment 108799 [details]
dmesg with drm.debug=6 kernel flag

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.16.6-203.fc20.i686 root=UUID=**removed** ro vconsole.font=latarcyrheb-sun16 drm.debug=6 LANG=it_IT.UTF-8
Comment 4 Germano Massullo 2014-11-02 17:01:29 UTC
Created attachment 108800 [details]
Xorg.0.log with drm.debug=6 kernel flag
Comment 5 Germano Massullo 2014-11-02 17:02:21 UTC
(In reply to Chris Wilson from comment #2)
> Hmm. The postinstall logs contain nomodeset on the kernel commandline,
> disabling the intel driver (both ddx and kernel). Do you see the same
> behaviour if you then remove that and replace it with drm.debug=6 from the
> grub entry when booting? Could you attach the Xorg.0.log and dmesg after
> doing so?

I get a black screen that shows only the mouse pointer.
Comment 6 Germano Massullo 2018-06-30 09:16:10 UTC
I have no longer access to the affected machine, nor I had any feedback from component developers.
I close the bugreport as wontfix


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.